<?php

namespace Daylight\Core\Modules\Admin\Entities;

use Daylight\Core\Modules\Admin\Entities\Contracts\Asset;

class Stylesheet implements Asset
{
    public string $path;

    public function setPath(string $path): self
    {
        $this->path = $path;

        return $this;
    }

    public function getPath(): string
    {
        return $this->path;
    }

    public function getDeferred(): bool
    {
        return false;
    }

    public static function create(): self
    {
        return new self;
    }
}
